import prologue
import templating
import env

proc getIndex*(ctx: Context) {.async.} =
  resp renderTemplate(templateName="index.nwt")

proc runWebsite(settings: Table) =
  let prologueSettings = newSettings(
    debug = settings["debug"]
  )
  let website = newApp(settings = prologueSettings)

  website.get("/", getIndex)

  website.run()

export runWebsite
